org.springframework.data.repository.util

## Class NullableWrapper

- java.lang.Object
- - org.springframework.data.util.NullableWrapper
  - - org.springframework.data.repository.util.NullableWrapper

Deprecated.
since 2.4, use `NullableWrapper` instead.

    @Deprecated
    public class NullableWrapper
    extends NullableWrapper

Simple value object to wrap a nullable delegate. Used to be able to write `Converter` implementations that convert null into an object of some sort.

Since:
  1.8
Author:
  Oliver Gierke, Mark Paluch
See Also:
  `QueryExecutionConverters`

### Constructor Summary

Constructors
Constructor and Description
`NullableWrapper(Object value)` Deprecated. Creates a new `NullableWrapper` for the given value.

### Method Summary

### Methods inherited from class org.springframework.data.util.NullableWrapper

`getValue, getValueType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NullableWrapper

    public NullableWrapper(@Nullable
                           Object value)

Deprecated.
Creates a new `NullableWrapper` for the given value.

Parameters:
  `value` - can be null.